简体中文
简体中文
English
联系我们
注册
登录
layout空间导航

模版 v3.37.0 更新说明

更新时间:2022-11-03 07:35:16下载pdf

本文介绍了 V3.37.0 版本的 OEM App 的相关更新迭代,该版本于 2022 年 3 月 31 日发布,您可以选择自行更新。

智慧出行 App 新增功能

新增地图配置项

  • 新增 是否支持内置地图 配置项。

    • 若选择支持内置地图,则安卓及 iOS 需要配置 申请 Google 地图安卓 API 密钥申请高德地图 KEY 获取高德或谷歌地图 Key,并填入对应框内。
    • 若选择不支持内置地图,会隐藏 App 内所有地图相关的功能,例如车辆定位、轨迹记录、骑行轨迹、门店管理等。
  • 新增 是否支持内置导航 配置项。

    内置导航仅支持中国大陆地区使用。

    • 若选择支持内置导航,则安卓及 iOS 需要 申请高德地图 KEY 获取高德地图 Key,并填入对应框内。
    • 若选择不支持内置导航,则点击所有导航按钮时会自动拉取用户手机下已安装的地图软件。
      • 安卓支持:百度地图、高德地图、腾讯地图、Google 地图。
      • iOS 支持:苹果地图、Google 地图。

新增通用导航页面

针对寻车导航、门店导航,新增通用导航页面,该导航默认使用驾驶导航。

新增智慧出行 App 专属面板

针对 V3.37.0 及以后版本,产品开发设备交互 阶段需要选择下方图片公版面板,此面板仅针对 智慧出行 App 使用。

模版 v3.37.0 更新说明

智慧出行 App 优化功能

安卓手机息屏导航优化

从 Android 8.0 开始,系统为实现降低功耗,对后台应用获取用户位置信息频率进行了限制,每小时只允许更新几次位置信息。按照官方指引,如果要提高位置更新频率,需要后台应用提供一个前台服务通知告知。

本次优化针对安卓手机在导航时,会创建一个前台服务通知,在应用切换到后台后仍然有一个前台服务通知存在,以此规避对应用后台定位的限制。

安卓手机 HID 兼容性优化

针对安卓手机优化 HID 配对方式,新增 DP auto_unlock_pair。该 DP 仅针对安卓手机生效,同时需要嵌入式修改配对方式。

多语言取值规则调整

智慧出行 App 支持多语言配置,您可以根据产品目标销售区域的语言,自行配置该产品的多语言 App 界面文案,包括产品名称、产品功能、设备面板、配网引导、设备消息推送、固件升级等相应的文案。

智慧出行 App 多语言包括 功能多语言、二级页面多语言App 多语言

电池信息页面取值规则调整

针对电池低频上报的功能,将功能点整合。

  • 删除原有 DP:

    • battery_status
    • battery_cycle_times
    • battery_temp_current
    • battery_capacity
    • bms_chartime
    • battery_status_2
    • battery_cycle_times_2
    • battery_temp_2
    • battery_capacity_2
    • bms_chartime_2
  • 新增电池信息 1 取数规则:

    battery_info:{"healthy":"健康状态","cycle_times":"循环次数(次)","temp":"电池温度(℃)","capacity":"电池容量(A·h)","chartime":"充电时间(0-86400 单位秒)"}
    
  • 新增电池信息 2 取数规则:

    battery_info_2:{"healthy":"健康状态","cycle_times":"循环次数(次)","temp":"电池温度(℃)","capacity":"电池容量(A·h)","chartime":"充电时间(0-86400 单位秒)"}
    

    电池信息中字段支持扩展自定义,但总字符长度不能超过 255,原有逻辑仍支持。

手机无网络时蓝牙控制优化

适用于蓝牙 LE 及 Cat.x&蓝牙 LE 双模设备,当手机无网络时也可对蓝牙 LE 连接的设备进行控制及数据显示。

蓝牙 LE 设备的若干情况优化

针对蓝牙 LE 设备的配网、移除、刷新等问题进行若干优化。

优化手动配网流程

  • 个人中心设置页新增 “默认添加设备” 开关;
    模版 v3.37.0 更新说明

  • 配网流程优化,体验统一,提升配网成功率;

更新注意事项

低于 v3.35.5 模板的 OEM App 无法构建上架

自 2022 年 4 月起,所有提交至 App Store 的 iOS 和 iPadOS App 都必须使用 Xcode 13 和 iOS 15 SDK 构建。更多详情,请访问 苹果官网

涂鸦智慧出行 OEM App 已在模版 v3.35.5 及以上适配 Xcode13。定制 App 请尽快联系您的涂鸦客户经理协调处理。3 月 31 号之后低于 v3.35.5 模板的 智能生活 OEM App 无法构建上架,建议使用最新模板构建后进行上架(该时间之前上架的 App 不受影响),请您提前合理安排。

反馈与支持